%global xmlxsdver 2009/01

Name:		sgml-common
Version:	0.6.3
Release:	%mkrel 30
Group:		Publishing
Summary:	Base ISO character entities and utilities for SGML and XML
License:	GPL
URL:		https://www.w3.org/2003/entities/
BuildArch:	noarch
Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
# Following 4 from openjade/pubtext - same maintainer as in SGML-common, so up2date:
Source1:    xml.dcl
Source2:    xml.soc
Source3:    html.dcl
Source4:    html.soc
Source5:    https://www.w3.org/%{xmlxsdver}/xml.xsd
Patch0: sgml-common-umask.patch
Patch1: sgml-common-xmldir.patch
Patch2: sgml-common-quotes.patch

Requires: coreutils grep
Requires: libxml2-utils >= 2.4.8-2
BuildRequires: libxml2-utils >= 2.4.8-2
Requires(pre):  libxml2-utils

Obsoletes: xml-common
Provides: xml-common
# ease upgrade mga6 -> mga7 (mga#24846)
Conflicts: openjade < 1.3.3-0.pre1.18

%description
The ISO standardization organization has normalized a set of characters
symbolic names ("character entities") used by SGML documents of many types.
There are character entities for Latin languages, math symbols, Greek,
Cyrillic, etc. This package also includes very basic utilities to allow
SGML catalogs manipulation.

%prep
%setup -q
%autopatch -p1

# replace bogus links with files
automakedir=`ls -1d /usr/share/automake* | head -n +1`
for file in COPYING INSTALL install-sh missing mkinstalldirs; do
   rm $file
   cp -p $automakedir/$file .
done

%build
%configure
%make_build

%install
%__make install DESTDIR="$RPM_BUILD_ROOT" htmldir='%{_datadir}/doc' INSTALL='install -p'

%__mkdir %{buildroot}%{_sysconfdir}/xml
%__mkdir_p %{buildroot}%{_sysconfdir}/sgml/docbook
%__mkdir_p %{buildroot}%{_datadir}/sgml/docbook

# Touch SGML catalog
touch %{buildroot}%{_sysconfdir}/sgml/catalog
# Create an empty XML catalog.
XMLCATALOG=%{buildroot}%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --create $XMLCATALOG
# ...and add xml.xsd in it
for type in system uri ; do
	for path in 2001 %{xmlxsdver} ; do
		%{_bindir}/xmlcatalog --noout --add $type \
			"http://www.w3.org/$path/xml.xsd" \
			"file://%{_datadir}/xml/xml.xsd" $XMLCATALOG
	done
done
# Now put the common DocBook entries in it
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
# Also create the common DocBook catalog
%{_bindir}/xmlcatalog --noout --create \
	%{buildroot}%{_sysconfdir}/sgml/docbook/xmlcatalog
ln -sf %{_sysconfdir}/sgml/docbook/xmlcatalog\
	%{buildroot}%{_datadir}/sgml/docbook/xmlcatalog

rm -f %{buildroot}%{_datadir}/sgml/xml.dcl
%__install -p -m0644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
	%{buildroot}%{_datadir}/sgml
rm -rf %{buildroot}%{_datadir}/xml/*
%__install -p -m0644 %{SOURCE5} %{buildroot}%{_datadir}/xml

# remove installed doc file and prepare installation with %%doc
rm %{buildroot}%{_datadir}/doc/*.html
rm -rf __dist_doc/html/
%__mkdir_p __dist_doc/html/
cp -p doc/HTML/*.html __dist_doc/html/

%pre
if [ $1 -gt 1 ] && [ -e %{_sysconfdir}/xml/catalog ]; then
	for type in system uri ; do
		for path in 2001 %{xmlxsdver} ; do
			%{_bindir}/xmlcatalog --noout --add $type \
				"http://www.w3.org/$path/xml.xsd" \
				"file://%{_datadir}/xml/xml.xsd" \
				%{_sysconfdir}/xml/catalog
		done
	done
fi

%files
%doc doc/HTML/*.html
%dir %{_sysconfdir}/sgml
%config(noreplace) %{_sysconfdir}/sgml/sgml.conf
%ghost %config(noreplace) %{_sysconfdir}/sgml/catalog
%config(noreplace) %{_sysconfdir}/sgml/docbook/xmlcatalog
%dir %{_sysconfdir}/xml
%config(noreplace) %{_sysconfdir}/xml/catalog
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/sgml-iso-entities-8879.1986
%{_datadir}/sgml/sgml-iso-entities-8879.1986/*
%{_datadir}/sgml/xml.dcl
%{_datadir}/sgml/xml.soc
%{_datadir}/sgml/html.dcl
%{_datadir}/sgml/html.soc
%dir %{_datadir}/sgml/docbook
%{_datadir}/sgml/docbook/xmlcatalog
%dir %{_datadir}/xml
%{_datadir}/xml/xml.xsd
%{_bindir}/sgmlwhich
%{_bindir}/install-catalog
%{_mandir}/man8/install-catalog.8*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.3-30.mga10
+ Revision: 2205602
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.6.3-29.mga9
+ Revision: 1811666
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.6.3-28.mga8
+ Revision: 1526491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon May 20 2019 daviddavid <daviddavid> 0.6.3-27.mga7
+ Revision: 1398683
- ease upgrade mga6 -> mga7 (mga#24846)

* Fri Sep 21 2018 umeabot <umeabot> 0.6.3-26.mga7
+ Revision: 1291477
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update a few macros

* Thu Sep 07 2017 guillomovitch <guillomovitch> 0.6.3-25.mga7
+ Revision: 1151817
- sync with fedora package

* Mon Feb 08 2016 umeabot <umeabot> 0.6.3-24.mga6
+ Revision: 950614
- Mageia 6 Mass Rebuild

* Wed Nov 12 2014 cjw <cjw> 0.6.3-23.mga5
+ Revision: 796529
- fix build after insufficient changes by script(s)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.3-21.mga4
+ Revision: 518301
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.3-20.mga3
+ Revision: 381956
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 blino <blino> 0.6.3-19.mga1
+ Revision: 1518
- remove requires for old distro
- imported package sgml-common


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-18mdv2011.0
+ Revision: 607534
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-17mdv2010.1
+ Revision: 520217
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.3-16mdv2010.0
+ Revision: 427085
- rebuild
- drop automake 1.4 dependency

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 0.6.3-15mdv2009.1
+ Revision: 366294
- rediff umask patch
- bunzip2 the patches

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-14mdv2009.0
+ Revision: 225437
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-13mdv2008.1
+ Revision: 179502
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-12mdv2008.0
+ Revision: 73375
- Import sgml-common




* Mon Sep  4 2006 Camille Begnis <camille@mandriva.com> 0.6.3-12mdv2007.0
- rebuild for 2007
- update URL
- clean specs

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.3-11mdk
- rebuild for 2006

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.3-10mdk
- force build with automake 1.4

* Fri May 14 2004 Camille Begnis <camille@mandrakesoft.com> 0.6.3-9mdk
- Use xmlcharent-0.3

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.3-8mdk
- xml.dcl is now in openjade
 
* Fri Jan 17 2003 Camille Begnis <camille@ke.mandrakesoft.com> 0.6.3-7mdk
- recompile against newer libs
- remove installed but not packaged files

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.3-6mdk
- requires s/(sh-|text|file)utils/coreutils/

* Thu Oct 31 2002  <camille@ke.mandrakesoft.com> 0.6.3-5mdk
- update symbolic links to automake-1.4 dir 

* Mon Jan 28 2002 Camille Begnis <camille@mandrakesoft.com> 0.6.3-4mdk
- Forgot to obsolete xml-common

* Thu Jan 24 2002 Camille Begnis <camille@mandrakesoft.com> 0.6.3-3mdk
- Buildrequires libxml2-utils

* Thu Jan 24 2002 Camille Begnis <camille@mandrakesoft.com> 0.6.3-2mdk
- use xmlcatalog from libxml-utils instead of install-catalog
- add support for XML catalogs as supported by libxml2 (xsltproc)

* Mon Aug 27 2001  <camille@ke.mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Wed Mar 14 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-4mdk
- Redirect install-catalog output to /dev/null

* Tue Feb 13 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-3mdk
- move install-catalog.8.bz2 from man/en/man8 to man/man8

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-2mdk
- add catalog management
- fix execute permissions

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 0.2-1mdk
- 0.2
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
